/**
 * Javier Abelln. 9 Mayo 2006
 */
package chuidiang.ejemplos.rmi.suma;

import java.rmi.*;
import java.rmi.server.*;

/**
 * Contador que se incrementa uno cada vez que lo llaman.
 */
public class Contador extends UnicastRemoteObject implements InterfaceContador
{
	private int contador;
	/** Construye un contador */
	public Contador () throws RemoteException
	{
		contador=0;
	}

	/** Se incrementa el contador */
	public void incrementa() throws RemoteException
	{
		System.out.println (contador + " + 1 = " + ++contador);
	}
}
