/**
 * Javier Abelln, 5 Mayo 2006
 * Interface para el parmetro que se pasar al Objeto Remoto
 */
package chuidiang.ejemplos.rmi.suma;

import java.io.Serializable;

/**
 * El parmetro contiene dos sumandos que se pueden obtener con los mtodos
 * getSumando1() y getSumando2()
 * 
 * @author Javier Abelln
 *
 */
public interface InterfaceSumandos extends Serializable
{
    /**
     * Obtener el sumando 1
     * @return sumando 1
     */
    public int getSumando1();

    /**
     * Obtener el sumando 2
     * @return sumando 2
     */
    public int getSumando2();
}
